## xnedit 1.4.1

=== Makefile ===
SHELL=/bin/sh
PREFIX=/usr
#
# Makefile for XNEdit text editor
#
# Targets are the suffixes of the system-specific makefiles in
# the makefiles/ directory.
# For example, to build XNEdit for Solaris, give the command
#
#   make solaris
#
# This builds an intermediate library in the util/ directory,
# then builds the xnedit and xnc executables in the source/ directory.
#

OS=$(shell uname -o)

all:
	@echo "Please specify target:"
	@echo "(For example, type \"make linux\" for a Linux system.)"
	@(cd makefiles && ls -C Makefile* | sed -e 's/Makefile.//g')

.DEFAULT:
	@- (cd Microline/XmL;   if [ -f ../../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../../makefiles/Makefile.$@ .; fi)
	@- (cd Xlt;   if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../makefiles/Makefile.$@ .; fi)
	@- (cd util;   if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../makefiles/Makefile.$@ .; fi)
	@- (cd source; if [ -f ../makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -s ../makefiles/Makefile.$@ .; fi)

	(cd util; \
	    $(MAKE) -f Makefile.$@ libNUtil.a)
	(cd Xlt;    $(MAKE) -f Makefile.$@ libXlt.a)
	(cd Microline/XmL;    $(MAKE) -f Makefile.$@ libXmL.a)
	(cd source; $(MAKE) -f Makefile.$@ xnedit xnc)
	@source/xnedit -V

# This should not be in the default build, as users may not have Perl
# installed.  This is only interesting to developers.
docs:
	(cd doc; $(MAKE) all)

# We need a "dev-all" target that builds the docs plus binaries, but
# that doesn't work since we require the user to specify the target.  More
# thought is needed

clean:
	(cd util;   $(MAKE) -f Makefile.common clean)
	(cd Xlt;    $(MAKE) -f Makefile.common clean)
	(cd Microline/XmL;    $(MAKE) -f Makefile.common clean)
	(cd source; $(MAKE) -f Makefile.common clean)

realclean: clean
	(cd doc;    $(MAKE) clean)
#
# install binaries and other resources to $(PREFIX)
#
INSTALL_FILES=source/xnedit source/xnc
install: $(INSTALL_FILES)
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	rm -f $(DESTDIR)$(PREFIX)/bin/xnedit
	rm -f $(DESTDIR)$(PREFIX)/bin/xnc
	cp source/xnedit $(DESTDIR)$(PREFIX)/bin/xnedit
	cp source/xnc $(DESTDIR)$(PREFIX)/bin/xnc
	cp resources/desktop/xnedit.png $(DESTDIR)$(PREFIX)/share/icons/xnedit.png
	sed s:%PREFIX%:$(PREFIX):g resources/desktop/xnedit.desktop.template > $(DESTDIR)$(PREFIX)/share/applications/xnedit.desktop


# On Cygwin, you can customize 'bin' and 'pkg' than run 'xnedit_pkg'
cygwin-install: $(INSTALL_FILES)
	@read -p "Cygwin: You can customize installation path in 'pkg'. ENTER to continue"
	@cd resources/cygwin; ./xnedit_pkg

#
# The following is for creating binary packages of NEdit.
#
RELEASE=xnedit-1.0-`uname -s`-`uname -m`
BINDIST-FILES=source/xnedit source/xnc README LICENSE ReleaseNotes doc/xnedit.txt doc/xnedit.html doc/xnedit.man doc/xnc.man doc/faq.txt resources/desktop/xnedit.desktop resources/desktop/xnedit.png

dist-bin: $(BINDIST-FILES)
	rm -rf $(RELEASE)
	mkdir -p $(RELEASE)
	cp $(BINDIST-FILES) $(RELEASE)/
	strip $(RELEASE)/xnedit $(RELEASE)/xnc
	chmod 555 $(RELEASE)/xnedit $(RELEASE)/xnc
	tar cf $(RELEASE).tar $(RELEASE)
	-gzip -9 -c $(RELEASE).tar > $(RELEASE).tar.gz
	-bzip2 -9 -c $(RELEASE).tar > $(RELEASE).tar.bz2
	rm -rf $(RELEASE) $(RELEASE).tar

=== doc/Makefile ===
# Makefile for NEdit text editor documentation
#
#  $Id: Makefile,v 1.6 2003/11/24 17:41:34 edg Exp $
#
#  NEdit help documentation and internal help code using one common
#  source, help.etx, a Structure Enhanced TEXT document.
#
.SUFFIXES: .man .pod

instructions:
	@ echo ""
	@ echo "This make file is intended for NEdit developers only."
	@ echo ""
	@ echo "It uses a perl program (setext) to extract the various forms"
	@ echo "of the NEdit help documentation and internal help code using"
	@ echo "one common source, help.etx, a Structure Enhanced TEXT document."
	@ echo ""
	@ echo "Additionally, it generates the nedit and nc man pages."
	@ echo "To generate those you need to have perl and pod2man installed."
	@ echo ""
	@ echo "The following are the main targets which generate files for"
	@ echo "NEdit development. They are:"
	@ echo ""
	@ echo "  help - generates NEdit help code (help_topic.h, help_data.h)"
	@ echo "  doc  - generates various forms of NEdit documentation"
	@ echo "  man  - generates the nedit and nc man pages"
	@ echo "  all  - generates all the files"
	@ echo ""
	@ echo "Remember to specify the VERSION macro on the make command"
	@ echo "or as an environment variable so that the NEdit version"
	@ echo "gets placed appropriately. For example, the following"
	@ echo "command creates all the files for NEdit version 5.3"
	@ echo ""
	@ echo "   make VERSION='NEdit 5.3' all"
	@ echo ""
	@ echo "When the version is not specified, the default value will"
	@ echo "be 'NEdit release of <currentDate>'"
	@ echo ""
	
.version:
	@ if [ "$(VERSION)" = "" ]; then \
	      echo "XNEdit release of `date +'%b %e, %Y'`" > .version; \
	  else \
	      echo "$(VERSION)" > .version; \
	  fi
help: ../source/help_topic.h ../source/help_data.h setext

../source/help_topic.h ../source/help_data.h: .version help.etx setext
	@ echo "Creating XNEdit help code `cat .version`"
	@ ./setext -m -v version="`cat .version`" help.etx
	@ mv -f help_topic.h ../source
	@ mv -f help_data.h ../source

xnedit.html: .version help.etx setext
	@ echo "Creating XNEdit HTML documentation..."
	@ ./setext -v version="`cat .version`" help.etx xnedit.html

html/xnedit.html: .version help.etx setext
	@ echo "Creating XNEdit HTML website documentation..."
	@ if [ ! -d html ]; then mkdir html; fi
	@ if [ -d html ]; then \
	      cd html; \
	      ../setext -S -v version="`cat ../.version`" ../help.etx xnedit.html; \
	  else \
	      echo "** Unable to create html directory to hold XNEdit documentation"; \
	  fi

xnedit.txt: .version help.etx setext
	@ echo "Creating XNEdit plain text documenation..."
	@ ./setext -c NEDITDOC -v version="`cat .version`" help.etx xnedit.txt

xnc.man: .version
xnedit.man: .version
.pod.man:
	@ echo "Creating $* man page..."
	@ which pod2man > /dev/null 2>&1 || ( echo "Sorry, you need pod2man." && exit 1 )
	@ pod2man --release="`cat .version`" --center="XNEdit documentation" $*.pod > $@ 

doc: .version xnedit.txt xnedit.html html/xnedit.html

man: .version xnedit.man xnc.man

all: help doc man

clean:
	@ echo "Removing generated XNEdit documentation..."
	@ rm -rf help xnedit.html html xnedit.txt .version xnedit.man xnc.man

#
# FAQ targets. Requires an XSLT parser and processor, such as Java with the
# XP and XT packages (http://www.jclark.com/xml/)
# Override the XSLT variable at the command line as follows:
#
#   make XSLT=<command to process the xsl files> faq
#
# Example: make XSLT="java -classpath xp.jar:xt.jar com.jclark.xsl.sax.Driver" faq
#
XSLT=undefined

faq: check_xsl faq.txt html/faq/index.shtml

faq.txt: faq.xml faq-txt.xsl faq-txt-pass2.xsl faq-txt.awk
	@ echo Building FAQ - text version
	@ rm -f faq-txt.html faq-txt-tmp.txt faq.txt
	@ ${XSLT} faq.xml faq-txt.xsl faq-txt.html
	@ ${XSLT} faq-txt.html faq-txt-pass2.xsl faq-txt-tmp.txt
	@ awk -f faq-txt.awk < faq-txt-tmp.txt > faq.txt
	@ rm -f faq-txt-tmp.txt

html/faq/index.shtml: faq.xml faq-txt.xsl
	@ echo Building FAQ - HTML version
	@ rm -f html/faq/*.shtml
	@ if [ ! -d html ]; then mkdir html; fi
	@ if [ ! -d html/faq ]; then mkdir html/faq; fi
	@ ${XSLT} faq.xml faq.xsl html/faq/index.shtml

check_xsl:
	@ if [ "x${XSLT}" = "xundefined" ]; \
          then\
	    echo "To rebuild the FAQ, an XSLT parser and processer are required.";\
            echo "For instance, a Java runtime environment and the XT and XP";\
	    echo "packages (http://www.jclark.com/xml/) can be used.";\
	    echo "Then type:";\
            echo "";\
	    echo "   make XSLT=<command to process the xsl files> faq";\
            echo "";\
	    echo "For instance:";\
            echo "";\
            echo "   make XSLT=\"java -classpath xp.jar:xt.jar com.jclark.xsl.sax.Driver\" faq";\
            echo "";\
	    exit 1;\
          fi

FAQFILES = faq-txt.html faq-txt.xsl faq-txt-pass2.xsl faq-txt.awk\
           faq-txt.dtd README.FAQ faq.txt Makefile faq.xml faq.xsl\
           faq.dtd
faq-dist:
	@ echo "Building faq.tar.gz";\
          rm -f faq.tar.gz;\
	  DISTFILES="${FAQFILES} `ls html/faq/*.shtml`";\
	  tar cv $${DISTFILES} | gzip -c > faq.tar.gz;\
	  echo "Building faq.zip";\
	  rm -f faq.zip;\
	  zip faq.zip $${DISTFILES};\

=== debian/changelog ===
xnedit (1.4.1-0.1~mx23+1) mx; urgency=medium

  * Rebuild new release for MX Linux.
  * Bump debhelper-compat to 12.
  * Disable the auto-install override, seems to be better.
  * d/control: add libpcre3-dev as BD.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 May 2023 14:05:40 -0700

xnedit (1.2.2-2) unstable; urgency=medium

  * lower debhelper to version 10 (for backwards compatibility)

 -- Rolf Pfeffertal <floss@tropf.io>  Sun, 16 May 2021 01:09:42 +0200

xnedit (1.2.2-1) unstable; urgency=medium

  * Initial release

 -- Rolf Pfeffertal <floss@tropf.io>  Sat, 15 May 2021 16:42:50 +0200

## xnedit 1.5.0

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,8 @@
 
 # On Cygwin, you can customize 'bin' and 'pkg' than run 'xnedit_pkg'
 cygwin-install: $(INSTALL_FILES)
-	@read -p "Cygwin: You can customize installation path in 'pkg'. ENTER to continue"
+	@echo "Cygwin: You can change installation path in 'resources/cygwin/xnedit_pkg:pkg'"
+	@read -p "ENTER to continue"
 	@cd resources/cygwin; ./xnedit_pkg
 
 #

=== doc/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 	
 .version:
 	@ if [ "$(VERSION)" = "" ]; then \
-	      echo "XNEdit release of `date +'%b %e, %Y'`" > .version; \
+	      ./generate_version.sh > .version; \
 	  else \
 	      echo "$(VERSION)" > .version; \
 	  fi
@@ -50,6 +50,9 @@
 	@ ./setext -m -v version="`cat .version`" help.etx
 	@ mv -f help_topic.h ../source
 	@ mv -f help_data.h ../source
+	@ if [ ! -z "$(VERSION)" ]; then \
+		echo "#define XNEDIT_IS_RELEASE" >> ../source/help_data.h ; \
+	  fi
 
 xnedit.html: .version help.etx setext
 	@ echo "Creating XNEdit HTML documentation..."

=== debian/changelog ===
xnedit (1.5.0-0.1~mx21+1) mx; urgency=medium

  * Import new release:
    - added experimental support for multi-cursor editing
    - added new setting Lock File on Encoding Error
    - added horizontal scrolling via btn6/7
    - added current window size as default values to Initial Window Size dialog
    - added marking to iconified windows in the window menu
    - added persistent search/replace history
    - added CDE dnd integration
    - updated macos makefile
    - improved font width detection
    - improved text rendering performance
    - changed behavior when a file was opened with encoding errors (lock on error)
    - removed file dialog icon view / removed libXpm dependency
    - fixed macro recording of composed characters
    - fixed xnc not detecting the correct virtual desktop of windows
    - fixed new file name not always used in the save file dialog/detaiview
    - fixed possible out-of-bounds read in primary selection
    - fixed line number background clip rectangle
    - fixed case insensitive search not working with non-ASCII characters
    - fixed isrcFind icon size setting

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 05 Aug 2023 13:28:21 -0700

=== debian/control ===
Source: xnedit
Section: editors
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Rolf Pfeffertal <floss@tropf.io>
Build-Depends: bison,
               debhelper-compat (= 12),
               libfontconfig-dev,
               libmotif-dev,
               libpcre3-dev,
               libx11-dev,
               libxft-dev,
               libxpm-dev,
               libxrender-dev
Standards-Version: 4.5.1
Homepage: https://www.unixwork.de/xnedit/
Rules-Requires-Root: no

Package: xnedit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fork of the original Nirvana Editor
 XNEdit is a multi-purpose text editor for the X Window System, which combines
 a standard, easy to use, graphical user interface with the thorough
 functionality and stability required by users who edit text eight hours a day.
 It provides intensive support for development in a wide variety of languages,
 text processors, and other tools, but at the same time can be used
 productively by just about anyone who needs to edit text.

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/unixwork/xnedit/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
